<?php
//define this module's name and path
$mn = basename(__FILE__ , ".php");
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$marginTop = ($moduleParameters['marginTop'] == "__EMPTY__" || empty($moduleParameters['marginTop'])) ? 0 : $moduleParameters['marginTop'];
$marginRight = ($moduleParameters['marginRight'] == "__EMPTY__" || empty($moduleParameters['marginRight'])) ? 0 : $moduleParameters['marginRight'];
$marginBottom = ($moduleParameters['marginBottom'] == "__EMPTY__" || empty($moduleParameters['marginBottom'])) ? 0 : $moduleParameters['marginBottom'];
$marginLeft = ($moduleParameters['marginLeft'] == "__EMPTY__" || empty($moduleParameters['marginLeft'])) ? 0 : $moduleParameters['marginLeft'];
$paddingTop = ($moduleParameters['paddingTop'] == "__EMPTY__" || empty($moduleParameters['paddingTop'])) ? 0 : $moduleParameters['paddingTop'];
$paddingRight = ($moduleParameters['paddingRight'] == "__EMPTY__" || empty($moduleParameters['paddingRight'])) ? 0 : $moduleParameters['paddingRight'];
$paddingBottom = ($moduleParameters['paddingBottom'] == "__EMPTY__" || empty($moduleParameters['paddingBottom'])) ? 0 : $moduleParameters['paddingBottom'];
$paddingLeft = ($moduleParameters['paddingLeft'] == "__EMPTY__" || empty($moduleParameters['paddingLeft'])) ? 0 : $moduleParameters['paddingLeft'];
$useModuleContainer = ($moduleParameters['useModuleContainer'] == "__EMPTY__" || empty($moduleParameters['useModuleContainer'])) ? 0 : (int)$moduleParameters['useModuleContainer'];
$widthInPixels = ($moduleParameters['widthInPixels'] == "__EMPTY__" || empty($moduleParameters['widthInPixels'])) ? null : (int)$moduleParameters['widthInPixels'];

if(empty($marginTop) && empty($marginRight) && empty($marginBottom) && empty($marginLeft)){
    $Mmargin = "0";
}else{
    $Mmargin = $marginTop." ".$marginRight." ".$marginBottom." ".$marginLeft." ";
}
if(empty($paddingTop) && empty($paddingRight) && empty($paddingBottom) && empty($paddingLeft)){
    $Mpadding = "0";
}else{
    $Mpadding = $paddingTop." ".$paddingRight." ".$paddingBottom." ".$paddingLeft." ";
}


$imageFiles = explode(",", $moduleParameters["imageFiles"]);
$the_links = $variables->restoreModuleValue($moduleParameters["links"]);
$the_links = explode(PHP_EOL, $the_links);
$slides = $alt = $links = array();
foreach($imageFiles as $key=>$slide){
    if($slide){
        $mediabankID = $fileSystem->getFileBaseName($slide);
        $slides[] = "mediabank/images/".$slide;
        $alt[] = t($fileSystem->getMediabankTitle($mediabankID));
        if(count($the_links)){
            if(preg_match('/^index\.php/', $the_links[$key])){
                $the_links[$key] = $sef->url($the_links[$key], false);
            }
            $links[] = $the_links[$key];
        }
    }
}

$customHtmlContent = $moduleParameters["customHtmlContent"];
$bannerSlot = $moduleParameters["bannerSlot"];
$slideSpeed = (int)$moduleParameters["slideSpeed"];
$maxViewportSize = ($moduleParameters['maxViewportSize'] == "__EMPTY__" || empty($moduleParameters['maxViewportSize'])) ? NULL : (int)$moduleParameters['maxViewportSize'];
$numberOfSlides = (int)$moduleParameters["numberOfSlides"];
$autoPlaySpeed = ($moduleParameters['autoPlaySpeed'] == "__EMPTY__" || empty($moduleParameters['autoPlaySpeed'])) ? "false" : (int)$moduleParameters['autoPlaySpeed'];
$goToFirstSlide = ($moduleParameters['goToFirstSlide'] == "__EMPTY__" || empty($moduleParameters['goToFirstSlide'])) ? "false" : "true";
$showNavigation = ($moduleParameters['showNavigation'] == "__EMPTY__" || empty($moduleParameters['showNavigation'])) ? "false" : "true";
$showPagination = ($moduleParameters['showPagination'] == "__EMPTY__" || empty($moduleParameters['showPagination'])) ? false : true;
$navigationPrevText = $moduleParameters["navigationPrevText"];
$navigationNextText = $moduleParameters["navigationNextText"];
$paginationNumbers = ($moduleParameters['paginationNumbers'] == "__EMPTY__" || empty($moduleParameters['paginationNumbers'])) ? "false" : "true";
$showCaptions = ($moduleParameters['showCaptions'] == "__EMPTY__" || empty($moduleParameters['showCaptions'])) ? false : true;
$responsive = ($moduleParameters['responsive'] == "__EMPTY__" || empty($moduleParameters['responsive'])) ? "false" : "true";
$owlID = "owl-" . uniqid() . "-owl";

if($useModuleContainer ){
?>

<div id="<?php echo $mn.$sufixID;?>" data-editable="editable">
    <?php
    if($moduleParameters['moduleAlign'] && $moduleParameters['moduleHR']){ // there are system parameters...
        global $head_styles;
        ob_start();
        ?>
        <style>
            #<?php echo $mn.$sufixID;?>{
	<?php
	$alignRule = ($moduleParameters['moduleAlign'] == "center") ? "text-align" : "float";
	echo $alignRule.": ".$moduleParameters['moduleAlign'].";".PHP_EOL;
	?>
	margin : <?php echo $Mmargin;?>;
	padding : <?php echo $Mpadding;?>;
<?php
if($widthInPixels){
	?>
	width: <?php echo $widthInPixels;?>px;
	<?php
}
if($moduleParameters['moduleHR'] == "top" || $moduleParameters['moduleHR'] == "bottom"){
?>
	border-<?php echo $moduleParameters['moduleHR'];?> : 1px solid black;
<?php
}
?>
}
        </style>
        <?php
        $head_styles .= ob_get_clean();

    }
    }
    ?>
    <script>
        jQuery(document).ready(function($) {
            $("#<?php echo$owlID;?>").owlCarousel({

                //Basic Speeds
                slideSpeed : <?php echo $slideSpeed; ?>,
                paginationSpeed : 800,

                //Autoplay
                autoPlay : <?php echo $autoPlaySpeed; ?>,
                goToFirst : <?php echo $goToFirstSlide; ?>,
                goToFirstSpeed : 1000,

                // Navigation
                navigation : <?php echo $showNavigation; ?>,
                navigationText : ["<?php echo $navigationPrevText; ?>","<?php echo $navigationNextText; ?>"],
                paginationNumbers: <?php echo $paginationNumbers; ?>,

                // Responsive
                responsive: <?php echo $responsive; ?>,
                items : <?php echo $numberOfSlides; ?>,
                itemsDesktop : false,
                itemsDesktopSmall : false,
                itemsTablet : false,
                itemsMobile : false,
            });
        });
    </script>
    <?php
    $max_width = ($maxViewportSize) ? ' style="max-width:' . $maxViewportSize . 'px; margin: 0 auto;"' : '';
    ?>
    <div id="<?php echo $owlID;?>" class="owl-carousel owl-theme"<?php echo $max_width;?>>
        <?php
        $counter = 0;
        foreach($slides as $key=>$slide){
            ?>
            <div class="item">
                <?php
                if($links[$key]){
                    ?>
                    <a href="<?php echo $links[$key];?>">
                <?php
                }
                ?>
                <img src="<?php echo $slide;?>" alt="<?php echo $alt[$counter];?>" style="width:100%">
                <?php
                if($showCaptions){
                    ?>
                    <div class="caption"><?php echo $alt[$counter];?></div>
                    <?php
                }
                if($links[$key]){
                    ?>
                </a>
                <?php
                }
                ?>
            </div>
            <?php
            $counter++;
        }
        if($customHtmlContent) echo htmlspecialchars_decode($variables->restoreModuleValue($customHtmlContent));
        $bannerSlotName = $db->getRecord("select title from content_banner_slots where mainID='$bannerSlot' and langID='$langID'")->title; // check if exists
        if($bannerSlotName){
            $q="select distinct `banners`.id, `banners`.banner_slot, `banners`.banner_type, `banners`.link, `banners`.target, `banners`.bannerFilename 
				from `banners`, `content_banners`, `content_banner_slots`, `banner_slots` 
				where banners.banner_slot=content_banner_slots.mainID 
				and content_banner_slots.title='$bannerSlotName' 
				and content_banner_slots.mainID=banner_slots.id 
				and content_banners.langID='$langID' 
				and content_banner_slots.langID='$langID' 
				and banner_slots.active=1 
				and banners.active=1 order by rand()";
            $theBanners = $db->getRecords($q);
            $totalBanners = count($theBanners);
            if($totalBanners){
                foreach($theBanners as $banner){
                    $hasWWW = preg_match('/^www./', $banner->link);
                    $link = ($hasWWW) ? $variables->makeURL($banner->link) : $banner->link;
                    $target = ($banner->target=="_self") ? null : 'target="'.$banner->target.'"';
                    ?>
                    <div class="item">
                        <?php
                        if($banners->getBannerTypeExtension($banners->getBannerTypeExtensionID($banner->id)) == "swf"){
                            ?>
                            <div id="flashBanner_<?php echo $banner->id;?>"></div>
                            <script type="text/javascript">
                                jQuery().ready(function(){
                                    var flashvars = {};
                                    var attributes = {};
                                    attributes.wmode = "transparent";
                                    attributes.id = "fbanner<?php echo $banner->id;?>";
                                    swfobject.embedSWF("mediabank/banners/<?php echo $banner->bannerFilename;?>", "flashBanner_<?php echo $banner->id;?>", "<?php echo $width;?>", "<?php echo $height;?>", "9", "expressInstall.swf", flashvars, attributes);
                                });
                            </script>
                        <?php
                        }else{
                        if($banners->getBannerTypeExtension($banners->getBannerTypeExtensionID($banner->id)) != "affiliate"){
                        ?>
                            <a href="<?php echo $link;?>" <?php echo $target;?> rel="nofollow"><img src="mediabank/banners/<?php echo $banner->bannerFilename;?>" alt="banner" ></a>
                            <?php
                        }else{
                            echo htmlspecialchars_decode($affiliate_code);
                        }
                        }
                        ?>
                    </div>
                    <?php
                }
            }
        }
        ?>
    </div>
    <?php
    global $head_styles;
    ob_start();
    ?>
    <style type="text/css">
        #<?php echo $owlID;?> .item{
            position:relative;
        }

        #<?php echo $owlID;?> .caption{
                                  position: absolute;
                                  padding: 10px;
                                  bottom:0;
                                  color: white;
                                  width: 100%;
                                  text-align:left;
                                  background: #000;
                                  background: rgba(0, 0, 0, 0.4);
                              }
        #<?php echo $owlID;?> .item img{
                                  display: block;
                                  width: 100%;
                                  height: auto;
                              }
        <?php
        if(empty($showPagination)){
        ?>
        .owl-controlls{ display:none; }
        <?php
        }
        ?>

    </style>
    <?php
    $head_styles .= ob_get_clean();

    if($useModuleContainer ){
    ?>
</div>
<?php
}
?>
